Update an agent binary download source
- Base URL
-
https://{kibana_url}
- PUT /api/fleet/agent_download_sources/{sourceId}
- PUT /s/{space_id}/api/fleet/agent_download_sources/{sourceId}
Update an agent binary download source by ID.
Required privileges
- Privileges fleet-settings-all
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
-
proxy_idstringnullable -
The ID of the proxy to use for this download source. See the proxies API for more information.
-
reserve_diskspaceboolean -
If
true, Elastic Agent reserves disk space equal to the size of the new agent package before an upgrade, so the upgrade fails early if there is not enough space. If not set, defaults totrueon the agent side.
Responses
Successful response
-
itemobjectrequired -
proxy_idstringnullable -
The ID of the proxy to use for this download source. See the proxies API for more information.
-
reserve_diskspaceboolean -
If
true, Elastic Agent reserves disk space equal to the size of the new agent package before an upgrade, so the upgrade fails early if there is not enough space. If not set, defaults totrueon the agent side.
Bad Request
Not Found